Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.uml.statemachine
Class SignalEvent

    java.lang.Object
      |
      +--org.opencyc.uml.core.Element
            |
            +--org.opencyc.uml.core.ModelElement
                  |
                  +--org.opencyc.uml.statemachine.Event
                        |
                        +--org.opencyc.uml.statemachine.SignalEvent

public class SignalEvent
extends Event

SignalEvent from the UML Common_Behavior package.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected Signal` | `signal` the signal of this signal event

Fields inherited from class org.opencyc.uml.statemachine.Event
`parameter`

Fields inherited from class org.opencyc.uml.core.ModelElement
`comment, name, namespace`

Constructor Summary
`SignalEvent()` Constructs a new SignalEvent object.

Method Summary
`boolean` | `equals(java.lang.Object object)` Returns true if the given object equals this object.
`Signal` | `getSignal()` Gets the signal of this signal event
`void` | `setSignal(Signal signal)` Sets the signal of this signal event

Methods inherited from class org.opencyc.uml.statemachine.Event
`getParameter, setParameter`

Methods inherited from class org.opencyc.uml.core.ModelElement
`getComment, getName, getNamespace, setComment, setName, setNamespace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### signal

    protected Signal signal

  the signal of this signal event

Constructor Detail

### SignalEvent

    public SignalEvent()

  Constructs a new SignalEvent object.

Method Detail

### getSignal

    public Signal getSignal()

  Gets the signal of this signal event
  Returns:
    the signal of this signal event

### equals

    public boolean equals(java.lang.Object object)

  Returns true if the given object equals this object.
  Overrides:
    `equals` in class `Event`
  Parameters:
    `object` - the given object
  Returns:
    true if the given object equals this object, otherwise returns false

### setSignal

    public void setSignal(Signal signal)

  Sets the signal of this signal event
  Parameters:
    `signal` - the signal of this signal event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD